.container {
  padding: 0;
  margin: 0;
  min-width: 256px;
  width: 100%;
}
.canvas {
  display: block;
  max-width: 1920px;
  width: 100%;
}
.full-height {
  max-width: 100%;
  width: 177vh;
}
.half-height {
  max-width: 100%;
  width: 88vh;
}
.slider {
  display: block;
  max-width: 960px;
  width: 100%;
  margin: 0.5em auto;
}
.tables {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 0.5em;
  margin: 0.5em 0;
}
.tables>div {
  display: inline-block;
  flex-grow: 1;
}
.tables table {
  table-layout: fixed;
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
}
.tables th,
.tables td {
  text-align: left;
}
.tables a {
  cursor: pointer;
  color: blue;
}
.table-head {
  border-top: 1px solid black;
  border-left: 1px solid black;
  border-right: 1px solid black;
}
.table-scrollable {
  height: 15em;
  overflow-y: scroll;
  border: 1px solid black;
}
.table-body tr+tr {
  border-top: 1px solid grey;
}
.history {
  background-color: #FFE;
  width: 50em;
}
.history-head {
  background-color: #FFC;
}
.history-body td {
  vertical-align: top;
}
.history-body .history-1 {
  width: 4em;
  text-align: right;
  padding-right: 0.5em;
}
.regions {
  background-color: #EFF;
  width: 50em;
}
.regions-head {
  background-color: #CFF;
}
.regions .regions-3 {
  text-align: right;
  width: 6em;
}
.regions .regions-4 {
  text-align: right;
  width: 6em;
}
.regions-body td {
  vertical-align: top;
}
.regions .level-1 {
  padding-left: 1em;
}
.regions .level-2 {
  padding-left: 2em;
}
.regions .level-3 {
  padding-left: 3em;
}
.regions .level-4 {
  padding-left: 4em;
}
.region {
  background-color: #FEF;
  width: 25em;
}
.region-head {
  background-color: #FCF;
}
.region-body .region-1 {
  font-weight: bold;
  width: 7em;
}
.region .region-2>img {
  filter: drop-shadow(0.1em 0.1em 0.1em grey);
}
.region-body td {
  vertical-align: top;
}
.coords {
  background-color: #EEE;
  width: 25em;
}
.coords-head {
  background-color: #DDD;
}
.coords-body td {
  vertical-align: top;
}
.coords-body .coords-1 {
  width: 4em;
  text-align: right;
  padding-right: 0.5em;
}
.circa {
  font-size: 75%;
  font-style: italic;
}
.era {
  font-size: 75%;
}
img.icon {
  vertical-align: text-bottom;
  height: 1em;
  margin: 1px 0;
  filter: drop-shadow(0.1em 0.1em 0.1em grey);
}
div.icon {
  display: inline-block;
  vertical-align: text-bottom;
  height: 0.9em;
  border-radius: 0.45em;
  padding: 1px 0.3em;
  box-shadow: 0.1em 0.1em 0.1em grey;
}
div.icon>img {
  height: 100%;
}
#tooltip {
  display: none;
  position: absolute;
  border: 1px solid grey;
  border-radius: 0.3em;
  padding: 0.2em 0.4em;
  background: #FFCA;
  box-shadow: 0.1em 0.1em 0.2em rgba(0, 0, 0, 50%);
  pointer-events: none;
  overflow: hidden;
  white-space: nowrap;
  text-align: left;
}
#log div {
  white-space: pre;
  font-family: monospace;
}
